package cn.pluss.platform.banner.impl;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.Banner;
import cn.pluss.platform.banner.BannerService;
import cn.pluss.platform.mapper.BannerMapper;

@Transactional
@Service("bannerService")
public class BannerServiceImpl extends ServiceImpl<BannerMapper, Banner> implements BannerService {

    @Override
    public Banner queryBanner(Banner banner){
        return baseMapper.queryBanner(banner);
    }

    @Override
    public List<Banner> queryBannerList(Banner banner){
        return baseMapper.queryBannerList(banner);
    }
    @Override
    public void saveBanner(Banner banner){
        baseMapper.saveBanner(banner);
    }
    @Override
    public void updateBanner(Banner banner){
        baseMapper.updateBanner(banner);
    }
    @Override
    public void deleteBanner(Banner banner){
        baseMapper.deleteBanner(banner);
    }
    @Override
    public List<Banner> queryBannerPage(Map map){
        return baseMapper.queryBannerPage(map);
    }
    @Override
    public Integer queryBannerPageCount(Map map){
        return baseMapper.queryBannerPageCount(map);
    }
    @Override
    public void saveBannerBatch(List<Banner> bannerList) {
        baseMapper.saveBannerBatch(bannerList);
    }
}

